* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    color: #333;
    background-color: #2C3639;
}

/* Key Display */
#key-display {
    position: fixed;
    top: 20px;
    right: 20px;
    font-size: 36px;
    color: #fff;
}

.key {
    position: fixed;
    font-size: 24px;
    color: #DCD7C9;
    pointer-events: none;
    transition: transform 0.3s ease;
}

.key:hover {
    transform: scale(1.2);
}

/* Header Styles */
header {
    background-color: #2C3639;
    align-items: center;
    min-height: 100vh;
}

header h1 {
    color: #AAA;
    font-size: 40px;
    font-weight: lighter;
    margin-bottom: 5px;
}

.menu {
    margin: 0 auto;
    text-align: center;
    padding: 30px 0;
}

.menu a {
    color: #FFF;
    text-decoration: none;
    font: 20px Raleway;
    margin: 0px 10px;
    padding: 10px 10px;
    position: relative;
    z-index: 0;
    cursor: pointer;
    text-transform: uppercase;
}

.highlightTextIn a {
    color: rgba(0, 0, 0, 0.4);
}

.highlightTextIn a:before {
    position: absolute;
    color: #FFF;
    top: 0px;
    left: 0px;
    padding: 10px;
    overflow: hidden;
    content: attr(alt);
    transition: all 0.3s;
    transform: scale(0.8);
    opacity: 0;
}

.highlightTextIn a:hover:before {
    transform: scale(1);
    opacity: 1;
}

/* Full Screen Menu */
label .full-menu {
    position: fixed;
    right:-45px;
    top: -45px;
    z-index: 100;
    width: 120px;
    height: 120px;
    background: #2c3639;
    border-radius:50%;
    transition: 0.5s ease-in-out;
    box-shadow: 0 0 0 0 #414A4C, 0 0 0 0 #414A4C;
    cursor: pointer;
}
  
label .ha {
    position: absolute;
    top: 75px;
    left: 24px;
    width: 40px;
    height: 4px;
    background: #fff;
    display: block;
    transform-origin: center;
    transition: 0.5s ease-in-out;
}
label .ha:after, label .ha:before {
    transition: 0.4s ease-in-out;
    content: "";
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    background: #FC6D6D;
}
label .ha:before {
    top: -15px;
}
label .ha:after {
    bottom: -15px;
}
label input {
    display: none;
}
label input:checked + .full-menu {
    box-shadow: 0 0 0 100vw #2c3639, 0 0 0 100vh #2c3639;
    border-radius: 0;
}
label input:checked + .full-menu .ha {
    transform: rotate(45deg);
}
label input:checked + .full-menu .ha:after {
    transform: rotate(90deg);
    bottom: 0;
}
label input:checked + .full-menu .ha:before {
    transform: rotate(90deg);
    top: 0;
}
label input:checked + .full-menu + ul {
    pointer-events: all;
    opacity: 1;
}
label input:checked + .full-menu2 + ul{opacity:0}

label ul {
    z-index: 200;
    list-style-type: none;
    position: fixed;
    text-align:center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: 0.25s 0s ease-in-out;
    pointer-events: none;
}
label a {
    margin-bottom: 1em;
    display: block;
    font-size: 30px;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
}

label a:hover {
    cursor: pointer;
    color: #FC6D6D;
}

/* Start */
.start {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 20rem;
    margin-top: 25vh;
}

.welcome {
    display: flex;
    flex-direction: column;
}

.hello h1 {
    color: #fff;
    font-size: 60px;
    font-weight: 400;
}

.content {
    display: flex;
    flex-direction: row;
}

.start .static-txt {
    color: #fff;
    font-size: 60px;
    font-weight: 400;
    margin-top: 1.625rem;
    line-height: 1;
}

.start .dynamic-txt {
    margin-left: 15px;
    height: 90px;
    line-height: 90px;
    overflow: hidden;
}

.dynamic-txt li {
    list-style: none;
    color: #FC6D6D;
    font-size: 60px;
    font-weight: 500;
    position: relative;
    top: 0;
    animation: slide 12s steps(4) infinite;
}

@keyframes slide {
    100% {
        top: -360px;
    }
}

.dynamic-txt li::after {
    content: "";
    position: absolute;
    left: 0;
    height: 100%;
    width: 100%;
    background: #2C3639;
    border-left: 2px solid #FC6D6D;
    animation: typing 3s steps(10) infinite;
}

@keyframes typing {
    40%, 60% {
        left: calc(100% + 0.625rem);
    }
    100% {
        left: 0;
    }
}

.scroll-btn {
    bottom: 30px;
    position: absolute;
    left: 50%;
    transform: translateX(-50);
    border: 1px solid #fff;
    padding: 10px 10px 20px;
    border-radius: 30px;
}

.scroll-bar span {
    border: 2px solid #fff;
    font-size: 20px;
    border-radius: 30px;
}

.scroll-bar {
    animation: mover 1s infinite alternate;
}

@keyframes mover {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(10px);
    }
}
.easteregg {
    display: flex;
    flex-direction: column;
    float: right;
    margin-top: 10rem;
    margin-right: 3rem;
}

.fun-content {
    font-size: 18px;
    color: #fff;
    position: relative;
    cursor: pointer;
    display: inline-block;
    padding: 10px;
  }
  
  .hover-me {
    position: relative;
    z-index: 1;
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-color: #333;
  }
  
  .tooltip {
    width: 100%;
    height: 10px;
    background: #ffffff;
    padding: 0.25em;
    text-align: center;
    position: absolute;
    top: 40px;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transform-origin: center top;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.05);
    transition: opacity 0.3s ease-in-out;
  }
  
  .tooltip::before {
    content: "";
    position: absolute;
    bottom: -8px;
    left: 80%;
    transform: translateX(-50%);
    border-width: 8px 7px 0;
    border-style: solid;
    border-color: #ffffff transparent transparent transparent;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.05);
  }
  
  .tooltip p {
    margin: 0;
    color: #333;
    font-weight: 600;
  }
  
  .fun-content:hover .tooltip {
    top: -10px;
    opacity: 1;
    visibility: visible;
    animation: goPopup 0.5s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
  }
  
  .fun-content:hover .tooltip p {
    animation: bounce 2s ease-in-out infinite;
  }
  
  @keyframes goPopup {
    0% {
      transform: translateY(0) scaleY(0);
      opacity: 0;
    }
    50% {
      transform: translateY(-50%) scaleY(1.2);
      opacity: 1;
    }
    100% {
      transform: translateY(-100%) scaleY(1);
      border-radius: 8px;
      opacity: 1;
      height: 40px;
    }
  }
  
  @keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
      transform: translateY(0);
    }
    40% {
      transform: translateY(-3px);
    }
    60% {
      transform: translateY(-2px);
    }
  }

.clean-btn {
    justify-content: center;
    display: flex;
    text-align: center;
}

#clean-button {
    background-color: #fff;
    color: #333;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 12px;
}

#clean-button:hover {
    background-color: #888;
    color: #fff;
}  

/* Section */
section {
    text-align: center;
}

/* About Me Section */
#about-me {
    background-color: #2C3639;
    color: #000000;
    text-align: center;
    padding: 60px 0;
    min-height: 100vh;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.profile {
    max-width: 50%;
    padding-right: 30px;
}

.profile img {
    height: 25rem;
    border-radius: 1rem;
}

.about-content {
    max-width: 50%;
    padding: 0 50px;
}

.about-content h2 {
    color: #FC6D6D;
    font-size: 30px;
    padding: 0rem 0 2rem;
}

.about-content h3 {
    color: #FC6D6D;
    font-size: 24px;
    padding: 2rem 0 0;
}

.about-content p {
    color: #DCD7C9;
    text-align: left;
    line-height: 1.5;
    font-size: 15px;
    padding: 20px;
}

.skills-list {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.language, .tec {
    padding: 15px;
    margin: 10px;
    display: flex;
    align-items: center;
    color: #DCD7C9;
    font-size: 15px;
}

.tec {
    border-top: 1px solid #DCD7C9;
}

.language i, .tec i {
    font-size: 40px;
    margin-right: 10px;
}

/* Experiences Section */
#experiences {
    background-color: #2C3639;
    color: #2C3639;
    text-align: center;
    padding: 60px 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.experiences-text h2 {
    color: #FC6D6D;
    font-size: 40px;
    padding: 0rem 0 5rem;
}

.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: white;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
}

.timecard {
    box-sizing: border-box;
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}

.timecard::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -17px;
    background-color: white;
    border: 4px solid #FC6D6D;
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

.left {
    left: 0;
}

.right {
    left: 50%;
}

.left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent white;
}

.right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
}

.right::after {
    left: -16px;
}

.info {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
    transform: translateY(100px);
    opacity: 0;
    transition: 1s all ease;
}

.info.active {
    transform: translateY(0);
    opacity: 1;
}

.info p {
    text-align: left;
}

/* Projects Section */
#projects {
    background-color: #2C3639;
    text-align: center;
    min-height: 80vh;
    margin-bottom: -30px;
}

.projects-text h2 {
    color: #FC6D6D;
    font-size: 40px;
    padding: 0rem 0 5rem;
}

.icon {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
    align-items: center;
    gap: 3rem;
}

.icon-container:nth-child(n+4) {
    grid-row: 2;
}

.icon-container {
    display: grid;
    margin: 0 15px 30px;
    width: 10rem;
    height: 10rem;
    color: #F6F1EE;
    text-align: center;
    align-items: center;
    box-sizing: border-box;
    border: 3px solid #F6F1EE;
    border-radius: 10px;
}

.icon-container i{
    font-size: 5rem;
}

.icon-container:hover {
    box-shadow: 0 0 10px 1px #FC6D6D;
    transform: scale(1.2);
    transition: transform .3s ease;
    cursor: pointer;
}

.icon-container a:visited, .icon-container a:link {
    color: #F6F1EE;
}

.resume_btn {
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
}

.btn, .button {
    display: inline-flex;
    align-items: center;
    justify-content: center; 
    background-color: #A27B5C;
    color: #fff;
    padding: 10px 0;
    font-weight: 300;
    width: 150px;
    height: 50px;
    text-align: center;
    text-decoration: none;
    margin-top: 10px;
    transition: background-color 0.3s ease;
    text-transform: uppercase;
    border-radius: 5rem;
}

.btn:hover, .button:hover {
    background-color: #DCD7C9;
    color: #000000;
}

/* Contact Section */
#contacts {
    min-height: 5vh;
    background: #2C3639;
    margin-top: -10px;
}

.contacts-text h2{
    color: #FC6D6D;
    font-size: 40px;
    padding: 0rem 0 2rem;
}

.contacts-card {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 7rem;
}

.method {
    padding: 0 0.625rem;
    margin: 0.625rem;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.method .method-icon {
    font-size: 23px;
    background: #FC6D6D;
    width: 2.75rem;
    height: 2.75rem;
    text-align: center;
    line-height: 2.75rem !important;
    border-radius: 50%;
    text-decoration: none;
}

.method .method-icon a{
    color: #fff;
}

.method:hover .method-icon {
    background: none;
    color: #FC6D6D;
    transform: scale(1.6);
}

/* Footer Styles */
footer {
    background-color: #2C3639;
    color: #fff;
    text-align: center;
    padding: 20px;
}

@media (min-width: 600px) and (max-width: 1200px) {
    header {
        padding: 1rem;
    }
    .hover-me { 
        margin-top: 80%;
        right: 7%;
    }

    .menu {
        display: none;
    }
    
    .hover-me {
        display: none;
    }

    #clean-button {
        display: none;
    }

    .start {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 2rem;
        padding-top: 50px;
    }

    .content {
        flex-direction: column;
        gap: 20px;
    }

    .start .static-txt {
        font-size: 70px;
        padding-right: 100px;
    }

    .start .dynamic-txt {
        font-size: 30px;
    }

    /* .menu ul {
        flex-direction: column;
        gap: 1rem;
    } */

    #about-me {
        flex-direction: column;
    }

    .about-content {
        margin-bottom: 40px;
        max-width: 80%;
    }

    .profile {
        max-width: 80%;
        order: -1;
        text-align: center;
        padding: 0 0 90px;
    }

    .language {
        width: calc(100% - 20px); 
        display: flex;
        flex-direction: row; 
        flex-wrap: wrap; 
        justify-content: center;
    }
    .tec {
        width: calc(100% - 20px);
        display: flex;
        flex-direction: row; 
        flex-wrap: wrap; 
        justify-content: center;
    }

    #experiences {
        min-height: 80vh;
    }

    #experiences .container {
        max-width: 100%;
        padding: 0 20px;
    }

    .timeline::after {
        left: 31px;
    }

    .timecard {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

    .timecard::before {
        left: 60px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }

    .left::after, .right::after {
        left: 15px;
    }

    .right {
        left: 0%;
    }
    /* projects*/
    #projects {
        background-color: #2C3639;
        text-align: center;
        min-height: 80vh;
        margin-bottom: 20px;
    }

    .icon {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        justify-items: center;
    }
    .icon-container:nth-child(n+4) {
        grid-row: auto;
    }

}

@media (min-width: 200px) and (max-width: 600px) {
    label .full-menu {
        width: 150px; 
        height: 150px;
    }

    label .ha {
        width: 60px; 
        height: 6px;
        left: 10px;
        top: 100px;
    }

    label a {
        font-size: 4rem;
    }

    label .ha:before {
        top: -20px;
    }

    label .ha:after {
        bottom: -20px;
    }

    .skills-list li {
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 3rem;
        padding: 5px 10px;
    }
    
    .button {
        font-size: 20px;
        padding: 20px 40px;
        margin-top: 20px;
        border-radius: 3rem;
    }

    .method .method-icon {
        font-size: 4rem;
        width: 6.75rem;
        height: 6.75rem;
        line-height: 6.75rem !important;
    }
}